import os.path
from Permissions import ADD_CONTENTS_PERMISSION
from Products.Archetypes.public import DisplayList

PROJECTNAME = "MailmanAdaptor"
SKINS_DIR   = os.path.join(os.path.dirname(__file__), 'skins')
GLOBALS     = globals()
INSTALL_EXAMPLE = False

# Delivery statuses
ENABLED  = 0                                      # enabled
UNKNOWN  = 1                                      # legacy disabled
BYUSER   = 2                                      # disabled by user choice
BYADMIN  = 3                                      # disabled by admin choice
BYBOUNCE = 4                                      # disabled by bounces

DELIVERY_STATUS = DisplayList((
    (ENABLED,"Enabled"),
    (UNKNOWN,"Unknown"),
    (BYUSER,"By User"),
    (BYADMIN,"By Admin"),
    (BYBOUNCE,"By Bounce"),
))