""" MailmanMember interface.
"""

from Interface import Attribute
try:
    from Interface import Interface
except ImportError:
    # for Zope versions before 2.6.0
    from Interface import Base as Interface


class IMailmanMember(Interface):
    """ MailmanMember interface.
    """

    def getDeliveryStatus():
        """ Allows the XMLRPCMemberAdaptor to get the delivery
            status of the member
        """

    def setDeliveryStatus():
        """ Allows the XMLRPCMemberAdaptor to set the delivery
            status of the member
        """

    def getDeliveryStatusChangeTime():
        """ Allows the XMLRPCMemberAdaptor to get the last time 
            the delivery status changed
        """
